/*
 * Copyright 2013 Google Inc.

 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#ifndef SkPdfHeaders_DEFINED
#define SkPdfHeaders_DEFINED

#include "SkPdfJavascriptActionDictionary_autogen.h"
#include "SkPdfMovieAnnotationDictionary_autogen.h"
#include "SkPdfMetadataStreamDictionary_autogen.h"
#include "SkPdfPageTreeNodeDictionary_autogen.h"
#include "SkPdfWebCaptureCommandDictionary_autogen.h"
#include "SkPdfAnnotationActionsDictionary_autogen.h"
#include "SkPdfInkAnnotationDictionary_autogen.h"
#include "SkPdfWindowsLaunchActionDictionary_autogen.h"
#include "SkPdfBeadDictionary_autogen.h"
#include "SkPdfPageObjectDictionary_autogen.h"
#include "SkPdfType16HalftoneDictionary_autogen.h"
#include "SkPdfWebCaptureCommandSettingsDictionary_autogen.h"
#include "SkPdfFontDescriptorDictionary_autogen.h"
#include "SkPdfLaunchActionDictionary_autogen.h"
#include "SkPdfType3FontDictionary_autogen.h"
#include "SkPdfMovieActionDictionary_autogen.h"
#include "SkPdfBorderStyleDictionary_autogen.h"
#include "SkPdfNamedActionsDictionary_autogen.h"
#include "SkPdfLzwdecodeAndFlatedecodeFiltersDictionary_autogen.h"
#include "SkPdfTrueTypeFontDictionary_autogen.h"
#include "SkPdfJavascriptDictionary_autogen.h"
#include "SkPdfFDFTrailerDictionary_autogen.h"
#include "SkPdfMultiMasterFontDictionary_autogen.h"
#include "SkPdfEmbeddedFileStreamDictionary_autogen.h"
#include "SkPdfAppearanceDictionary_autogen.h"
#include "SkPdfRadioButtonFieldDictionary_autogen.h"
#include "SkPdfType6HalftoneDictionary_autogen.h"
#include "SkPdfFDFNamedPageReferenceDictionary_autogen.h"
#include "SkPdfWebCaptureImageSetDictionary_autogen.h"
#include "SkPdfBlockLevelStructureElementsDictionary_autogen.h"
#include "SkPdfViewerPreferencesDictionary_autogen.h"
#include "SkPdfType3FunctionDictionary_autogen.h"
#include "SkPdfFieldDictionary_autogen.h"
#include "SkPdfAnnotationDictionary_autogen.h"
#include "SkPdfSoftMaskDictionary_autogen.h"
#include "SkPdfType1HalftoneDictionary_autogen.h"
#include "SkPdfActionDictionary_autogen.h"
#include "SkPdfDocumentInformationDictionary_autogen.h"
#include "SkPdfStructureElementDictionary_autogen.h"
#include "SkPdfIccProfileStreamDictionary_autogen.h"
#include "SkPdfType1FontDictionary_autogen.h"
#include "SkPdfTextFieldDictionary_autogen.h"
#include "SkPdfGroupAttributesDictionary_autogen.h"
#include "SkPdfFileSpecificationDictionary_autogen.h"
#include "SkPdfRubberStampAnnotationDictionary_autogen.h"
#include "SkPdfSoftMaskImageDictionary_autogen.h"
#include "SkPdfTrapNetworkAnnotationDictionary_autogen.h"
#include "SkPdfRemoteGoToActionDictionary_autogen.h"
#include "SkPdfMarkInformationDictionary_autogen.h"
#include "SkPdfComponentsWithMetadataDictionary_autogen.h"
#include "SkPdfAlternateImageDictionary_autogen.h"
#include "SkPdfArtifactsDictionary_autogen.h"
#include "SkPdfPrinterMarkFormDictionary_autogen.h"
#include "SkPdfFreeTextAnnotationDictionary_autogen.h"
#include "SkPdfLineAnnotationDictionary_autogen.h"
#include "SkPdfFDFFileAnnotationDictionary_autogen.h"
#include "SkPdfWebCaptureDictionary_autogen.h"
#include "SkPdfPageObjectActionsDictionary_autogen.h"
#include "SkPdfSeparationDictionary_autogen.h"
#include "SkPdfTextAnnotationDictionary_autogen.h"
#include "SkPdfType3ShadingDictionary_autogen.h"
#include "SkPdfURLAliasDictionary_autogen.h"
#include "SkPdfListAttributeDictionary_autogen.h"
#include "SkPdfResourceDictionary_autogen.h"
#include "SkPdfNameTreeNodeDictionary_autogen.h"
#include "SkPdfIconFitDictionary_autogen.h"
#include "SkPdfImportDataActionDictionary_autogen.h"
#include "SkPdfTransparencyGroupDictionary_autogen.h"
#include "SkPdfInteractiveFormDictionary_autogen.h"
#include "SkPdfMovieActivationDictionary_autogen.h"
#include "SkPdfPageLabelDictionary_autogen.h"
#include "SkPdfLabColorSpaceDictionary_autogen.h"
#include "SkPdfFDFCatalogDictionary_autogen.h"
#include "SkPdfALinkAnnotationDictionary_autogen.h"
#include "SkPdfAppearanceCharacteristicsDictionary_autogen.h"
#include "SkPdfTransitionDictionary_autogen.h"
#include "SkPdfApplicationDataDictionary_autogen.h"
#include "SkPdfFileAttachmentAnnotationDictionary_autogen.h"
#include "SkPdfGraphicsStateDictionary_autogen.h"
#include "SkPdfType0FontDictionary_autogen.h"
#include "SkPdfMacOsFileInformationDictionary_autogen.h"
#include "SkPdfWebCapturePageSetDictionary_autogen.h"
#include "SkPdfNumberTreeNodeDictionary_autogen.h"
#include "SkPdfURIActionDictionary_autogen.h"
#include "SkPdfVariableTextFieldDictionary_autogen.h"
#include "SkPdfJbig2DecodeFilterDictionary_autogen.h"
#include "SkPdfSourceInformationDictionary_autogen.h"
#include "SkPdfFDFDictionary_autogen.h"
#include "SkPdfThreadActionDictionary_autogen.h"
#include "SkPdfReferenceDictionary_autogen.h"
#include "SkPdfEncodingDictionary_autogen.h"
#include "SkPdfFDFFieldDictionary_autogen.h"
#include "SkPdfAttributeObjectDictionary_autogen.h"
#include "SkPdfCIDSystemInfoDictionary_autogen.h"
#include "SkPdfMarkedContentReferenceDictionary_autogen.h"
#include "SkPdfResetFormActionDictionary_autogen.h"
#include "SkPdfDictionary_autogen.h"
#include "SkPdfCalgrayColorSpaceDictionary_autogen.h"
#include "SkPdfSquareOrCircleAnnotation_autogen.h"
#include "SkPdfTableAttributesDictionary_autogen.h"
#include "SkPdfSubmitFormActionDictionary_autogen.h"
#include "SkPdfType2FunctionDictionary_autogen.h"
#include "SkPdfCheckboxFieldDictionary_autogen.h"
#include "SkPdfBoxStyleDictionary_autogen.h"
#include "SkPdfType1PatternDictionary_autogen.h"
#include "SkPdfPagePieceDictionary_autogen.h"
#include "SkPdfEncryptedEmbeddedFileStreamDictionary_autogen.h"
#include "SkPdfType2ShadingDictionary_autogen.h"
#include "SkPdfMarkupAnnotationsDictionary_autogen.h"
#include "SkPdfPopUpAnnotationDictionary_autogen.h"
#include "SkPdfFormFieldActionsDictionary_autogen.h"
#include "SkPdfTrapNetworkAppearanceStreamDictionary_autogen.h"
#include "SkPdfSoundObjectDictionary_autogen.h"
#include "SkPdfOutlineItemDictionary_autogen.h"
#include "SkPdfCIDFontDescriptorDictionary_autogen.h"
#include "SkPdfCMapDictionary_autogen.h"
#include "SkPdfType2PatternDictionary_autogen.h"
#include "SkPdfPSXobjectDictionary_autogen.h"
#include "SkPdfOutlineDictionary_autogen.h"
#include "SkPdfThreadDictionary_autogen.h"
#include "SkPdfImageDictionary_autogen.h"
#include "SkPdfCIDFontDictionary_autogen.h"
#include "SkPdfType5ShadingDictionary_autogen.h"
#include "SkPdfType5HalftoneDictionary_autogen.h"
#include "SkPdfOpiVersionDictionary_autogen.h"
#include "SkPdfStructureElementAccessDictionary_autogen.h"
#include "SkPdfDocumentCatalogActionsDictionary_autogen.h"
#include "SkPdfDeviceNColorSpaceDictionary_autogen.h"
#include "SkPdfMovieDictionary_autogen.h"
#include "SkPdfWidgetAnnotationDictionary_autogen.h"
#include "SkPdfShadingDictionary_autogen.h"
#include "SkPdfCatalogDictionary_autogen.h"
#include "SkPdfStructureTreeRootDictionary_autogen.h"
#include "SkPdfType6ShadingDictionary_autogen.h"
#include "SkPdfFileTrailerDictionary_autogen.h"
#include "SkPdfFDFTemplateDictionary_autogen.h"
#include "SkPdfEmbeddedFileParameterDictionary_autogen.h"
#include "SkPdfBoxColorInformationDictionary_autogen.h"
#include "SkPdfXObjectDictionary_autogen.h"
#include "SkPdfGoToActionDictionary_autogen.h"
#include "SkPdfObjectReferenceDictionary_autogen.h"
#include "SkPdfNameDictionary_autogen.h"
#include "SkPdfWebCaptureInformationDictionary_autogen.h"
#include "SkPdfStreamCommonDictionary_autogen.h"
#include "SkPdfDctdecodeFilterDictionary_autogen.h"
#include "SkPdfPrinterMarkAnnotationDictionary_autogen.h"
#include "SkPdfStandardStructureDictionary_autogen.h"
#include "SkPdfEncryptionCommonDictionary_autogen.h"
#include "SkPdfStandardSecurityHandlerDictionary_autogen.h"
#include "SkPdfSoundAnnotationDictionary_autogen.h"
#include "SkPdfPDF_XOutputIntentDictionary_autogen.h"
#include "SkPdfType4ShadingDictionary_autogen.h"
#include "SkPdfSoundActionDictionary_autogen.h"
#include "SkPdfInlineLevelStructureElementsDictionary_autogen.h"
#include "SkPdfType10HalftoneDictionary_autogen.h"
#include "SkPdfEmbeddedFontStreamDictionary_autogen.h"
#include "SkPdfType1ShadingDictionary_autogen.h"
#include "SkPdfChoiceFieldDictionary_autogen.h"
#include "SkPdfCcittfaxdecodeFilterDictionary_autogen.h"
#include "SkPdfType1FormDictionary_autogen.h"
#include "SkPdfFontDictionary_autogen.h"
#include "SkPdfFunctionCommonDictionary_autogen.h"
#include "SkPdfHideActionDictionary_autogen.h"
#include "SkPdfURIDictionary_autogen.h"
#include "SkPdfSignatureDictionary_autogen.h"
#include "SkPdfType0FunctionDictionary_autogen.h"
#include "SkPdfFDFPageDictionary_autogen.h"
#include "SkPdfCalrgbColorSpaceDictionary_autogen.h"
#endif  // SkPdfHeaders_DEFINED
